<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Manage Users</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
          crossorigin="anonymous">


</head>
<body>
<div class="container-fluid text-center">
    <div>
        <h2>Manage Users</h2>
    </div>
    <div>
        <a class="h3" th:href="@{/users/new}">Add users</a>

    </div>
    <div th:if="${message}" class="alert alert-success text-center">
        [[${message}]]

    </div>
    <div>
    <table class="table table-bordered">
        <thead class="thead-dark">
        <tr>
            <th>ID</th>
            <th>E-mail</th>
            <th>First Name</th>
            <th>Second Name</th>
            <th>password</th>
            <th></th>
        </tr>
        </thead>

        <tbody>
        <th:block th:each="user : ${listUsers}" >
            <tr>
                <td>[[${user.id}]]</td>
                <td>[[${user.email}]]</td>
                <td>[[${user.firstName}]]</td>
                <td>[[${user.lastName}]]</td>
                <td>[[${user.password}]]</td>
                <td>
                    <a class="h4 mr-3" th:href="@{'/users/edit/' + ${user.id}}">Edit</a>
                    <a class="h4" th:href="@{'/users/delete/' + ${user.id}}">Delete</a>
                </td>
            </tr>
        </th:block>
        </tbody>


    </table>
    </div>


</div>


</body>
</html>